# std::filesystem::directory_entry::operator=

From cppreference.com
< cpp‎ | filesystem‎ | directory entry

directory_entry& operator=( const directory_entry& ) = default; | (1) | (since C++17)
directory_entry& operator=( directory_entry&&) = default; | (2) | (since C++17)

Assigns another directory entry.

### Parameters

| This section is incomplete

### Return value

*this

### Exceptions

| This section is incomplete

2)
`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

assign | assigns contents (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/directory_entry/operator%3D&oldid=91444"
Categories:

- Todo without reason
- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template